Bug 1251916 - [Debian] ioprocess doesn't build in pbuilder
[Debian] ioprocess doesn't build in pbuilder
Status: CLOSED CURRENTRELEASE
Product: ovirt-distribution
Classification: oVirt
Component: ioprocess (Show other bugs)
ioprocess-0.14.0
Unspecified Unspecified
unspecified Severity low (vote)
: ovirt-3.6.2
: 3.6.2
Assigned To: Simone Tiraboschi
Pavel Stehlik
infra
: BuildBlocker
Depends On:
Blocks: 1163069
  Show dependency treegraph
 
Reported: 2015-08-10 05:57 EDT by Sandro Bonazzola
Modified: 2016-02-02 04:44 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-02 04:44:26 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
oourfali: ovirt‑3.6.z?
rule-engine: planning_ack?
oourfali: devel_ack+
rule-engine: testing_ack?


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 38074 None None None Never
oVirt gerrit 49240 None None None Never

  None (edit)
Description Sandro Bonazzola 2015-08-10 05:57:59 EDT
dpkg-source: info: using source format '3.0 (quilt)'
dpkg-source: info: building ioprocess using existing ./ioprocess_0.15.orig.tar.gz
dpkg-source: info: local changes detected, the modified files are:
 ioprocess-0.15/Makefile.in
 ioprocess-0.15/aclocal.m4
 ioprocess-0.15/bindings/Makefile.in
 ioprocess-0.15/bindings/python/Makefile.in
 ioprocess-0.15/build-aux/compile
 ioprocess-0.15/build-aux/depcomp
 ioprocess-0.15/build-aux/install-sh
 ioprocess-0.15/build-aux/missing
 ioprocess-0.15/configure
 ioprocess-0.15/src/Makefile.in
dpkg-source: info: you can integrate the local changes with dpkg-source --commit
dpkg-source: error: aborting due to unexpected upstream changes, see /tmp/ioprocess_0.15-1.diff.5T85w8
dpkg-buildpackage: error: dpkg-source -b ioprocess-0.15 gave error exit status 2
Comment 1 Sandro Bonazzola 2015-10-01 04:47:41 EDT
Please review / merge pushed patches.
Comment 2 Red Hat Bugzilla Rules Engine 2015-10-19 06:56:56 EDT
Target release should be placed once a package build is known to fix a issue. Since this bug is not modified, the target version has been reset. Please use target milestone to plan a fix for a oVirt release.
Comment 3 Yeela Kaplan 2015-10-21 07:12:23 EDT
Sandro, what are the patches you are referring to in comment#1?
Comment 4 Oved Ourfali 2015-10-25 06:59:11 EDT
Changed the assignee.
Yeela will review the patch.
Comment 5 Yaniv Lavi 2015-10-29 08:27:09 EDT
In oVirt testing is done on single release by default. Therefore I'm removing the 4.0 flag. If you think this bug must be tested in 4.0 as well, please re-add the flag. Please note we might not have testing resources to handle the 4.0 clone.
Comment 6 Yaniv Bronhaim 2015-11-02 07:24:30 EST
Putting bug on modified. next ioprocess build please move to ON_QA for verification.
Comment 7 Yeela Kaplan 2015-11-29 04:37:36 EST
Moving the bug back to POST.
Patch is not merged yet.
Comment 8 Red Hat Bugzilla Rules Engine 2015-11-29 04:37:41 EST
Target release should be placed once a package build is known to fix a issue. Since this bug is not modified, the target version has been reset. Please use target milestone to plan a fix for a oVirt release.
Comment 9 Oved Ourfali 2015-12-30 03:35:55 EST
Simone - what's the status of this one?
Shall we push it out to 4.0?
Comment 10 Yaniv Bronhaim 2016-01-04 05:27:10 EST
The patch was merged 6 weeks ago and part of https://gerrit.ovirt.org/#/projects/releng-tools (https://gerrit.ovirt.org/#/c/49240/). moving bug to ON_QA
Comment 11 Red Hat Bugzilla Rules Engine 2016-01-04 05:27:13 EST
Bug tickets that are moved to testing must have target release set to make sure tester knows what to test. Please set the correct target release before moving to ON_QA.
Comment 12 Pavel Stehlik 2016-02-02 04:44:26 EST
Closing older BZs, if still happened, please reopen.

Note You need to log in before you can comment on or make changes to this bug.